# Uses of Class
com.google.protobuf.GeneratedMessageV3

Packages that use GeneratedMessageV3
Package
Description
com.google.protobuf

## Uses of GeneratedMessageV3 in com.google.protobuf

Subclasses of GeneratedMessageV3 in com.google.protobuf
Modifier and Type
Class
Description
`static class`
`GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
Constructor parameters in com.google.protobuf with type arguments of type GeneratedMessageV3
Modifier
Constructor
Description
``
`FieldAccessorTable(Descriptors.Descriptor descriptor, String[] camelCaseNames, Class<? extends GeneratedMessageV3> messageClass, Class<? extends GeneratedMessageV3.Builder<?>> builderClass)`
Deprecated.